/** FunnyMu: portable creatiVision emulator ******************/
/**                                                         **/
/**                      funnysdl.h                         **/
/**                                                         **/
/** Unofficial version by Luca "MADrigal" Antignano, 2007   **/
/**                                                         **/
/** Copyright (C) Paul Hayter 2001                          **/
/**     based on ColEm by Marat Fayzullin                   **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1994-1998                 **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/

#include "SDL/SDL.h"   /* All SDL App's need this */

#define VDP_CLOCK 53200000

extern SDL_Surface *sdl_screen;
extern Uint32 sdl_colours[16];





/** sdl_setpalette() *****************************************/
/** This sets colours palette for the TMS9928 video chip    **/
/*************************************************************/
void sdl_setpalette(void);





/** sdl_snd_callback() ***************************************/
/** This os called when the audio device is ready for more  **/
/** data by the SDL_AudoSpec structure                      **/
/*************************************************************/
static void sdl_snd_callback(void *udata, Uint8 *stream, int len);





/** sound_init() *********************************************/
/** This initializes audio emulation device via SDL         **/
/*************************************************************/
int sound_init(void);





/** init_sdl() ***********************************************/
/** This initializes video and audio emulation devices via  **/
/** SDL                                                     **/
/*************************************************************/
int init_sdl(void);





/** sdl_getticks() *******************************************/
/** Get the number of milliseconds since the SDL library    **/
/** initialization.                                         **/
/*************************************************************/
Uint32 sdl_getticks(void);





/** OnBreak() ************************************************/
/** This function is called on signals                      **/
/*************************************************************/
static void OnBreak(int Arg);





/** InitMachine() ********************************************/
/** Allocate resources needed by Unix/X-dependent code.     **/
/*************************************************************/
int InitMachine(void);





/** TrashMachine() *******************************************/
/** Deallocate all resources taken by InitMachine().        **/
/*************************************************************/
void TrashMachine(void);





/** ScreenCapture() ******************************************/
/** Saves current screen data onto file.                    **/
/*************************************************************/
void ScreenCapture(void);





/** SaveListing() ********************************************/
/** Saves current VRAM data from $1C00 to $3FFF to plain    **/
/** text file (used to save BASIC listings)                 **/
/**                                                         **/
/** Adapted from Giovanni Ortu's CvEmu2 source code         **/
/*************************************************************/
void SaveListing(void);





/** LoadListing() ********************************************/
/** Loads "load.txt" data into VRAM from $1C00 to $3FFF     **/
/** (used to load BASIC listings)                           **/
/*************************************************************/
void LoadListing(void);





/** Joysticks()   ********************************************/
/** Manages keypresses into emulated keyboard and joysticks **/
/** (plus the function keys for emulator purposes)          **/
/*************************************************************/
void Joysticks(void);
